quotes
The quotes query in Bunny's GraphQL API, with its arguments, return type and an example request.
Scope required:
For a complete list of possible response fields see the QuoteConnection type.
query quotes ($after: String, $before: String, $first: Int, $last: Int, $filter: String, $sort: String, $viewId: ID, $format: String) {
quotes (after: $after, before: $before, first: $first, last: $last, filter: $filter, sort: $sort, viewId: $viewId, format: $format) {
edges {
cursor
node {
acceptedAt
acceptedByName
acceptedByTitle
accountId
amount
amountAsCurrency
amountDue
applicationDate
applied
applyOnAccept
backdatedPeriods
backdatedQuote
billingDay
contactId
createdAt
credits
currencyId
customFieldsData
dealId
discount
discountValue
documentTemplateId
emailBody
emailSubject
endDate
evergreen
expiresAt
hasCustomFields
id
invoiceImmediately
invoiceImmediatelyAvailable
invoiceUntil
isPendingApprovalRequest
message
name
netPaymentDays
notes
number
ownerId
payToAccept
payableId
periodAmount
poNumber
requiresApproval
sharedAt
signingIntegration
skipBackdatedInvoices
smallUnitAmountDue
splitInvoice
startDate
subtotal
taxAmount
taxCode
taxOutOfDate
taxationEnabled
updatedAt
userEmailBody
userEmailSubject
uuid
viewedAt
}
}
totalCount
pageInfo {
startCursor
endCursor
hasNextPage
hasPreviousPage
}
}
}
ArgumentsLink to Arguments section
| Name | Type | Description |
|---|---|---|
| after | String | Returns the elements in the list that come after the specified cursor. |
| before | String | Returns the elements in the list that come before the specified cursor. |
| first | Int | Returns the first n elements from the list. |
| last | Int | Returns the last n elements from the list. |
| filter | String | |
| sort | String | |
| viewId | ID | |
| format | String |